PDA

Visualizza la versione completa : Aggiornamento PHP + MySQL su CentOS 5 - non ci riesco!


w_t
29-04-2012, 10:01
Salve,
su di un Server con CenOS 5 x86, volevo aggiornarlo alla versione ultima di PHP e MySQL, tramite YUM ho provato vari metodi ma mi da errore delle dipendenze, mi dice che ne manca sempre una o due a seconda del metodo che uso.

Sapete consigliarmi un metodo che funziona ??

Grazie mille.

sacarde
29-04-2012, 12:14
in rete trovi qualcosa


tipo:

http://www.andreacardinali.it/installare-php-5-3-e-mysql-5-5-su-centos-5-rhel/

w_t
29-04-2012, 14:06
Fatto,
mi da errore come dava a me nelle nie prove, ecco le ultime righe della Shell:

---> Package libXmu.i386 0:1.0.2-5 set to be updated
--> Running transaction check
--> Processing Dependency: php-common = 5.2.17-1.el5.art for package: php-ncurses
--> Finished Dependency Resolution
Error: Missing Dependency: php-common = 5.2.17-1.el5.art is needed by package php-ncurses


esattamente come in tutte le prove.

sacarde
29-04-2012, 14:39
provato come ti suggerisce "cardy" ?

zanna91
29-04-2012, 15:12
Aggiorna il repository nella seguente maniera:


wget http://download.fedora.redhat.com/pub/epel/5/i386/epel-release-5-3.noarch.rpm
wget http://rpms.famillecollet.com/enterprise/remi-release-5.rpm
rpm -Uvh remi-release-5*.rpm epel-release-5*.rpm

In seguito aggiorna tramite YUM:


yum --enablerepo=remi update php

Ecco la nuova versione di PHP:


/usr/bin/php -v
PHP 5.3.1 (cli) (built: Nov 20 2009 17:51:14)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2009 Zend Technologies


Byez :ciauz:

Loading